Test::Float::ExtAssignment Class Reference

Generate all assignments except the last variable and complete it to get a solution. More...

`#include <float.hh>`

## Public Member Functions

| ExtAssignment (int n, const Gecode::FloatVal &d, Gecode::FloatNum s, const Test *pb)
| Initialize assignments for n variables and values d with step s.
virtual bool | operator() (void) const
| Test whether all assignments have been iterated.
virtual void | operator++ (void)
| Move to next assignment.
virtual Gecode::FloatVal | operator[] (int i) const
| Return value for variable i.
virtual void | set (int i, const Gecode::FloatVal &val)
| Set assignment to value val for variable i.
virtual | ~ExtAssignment (void)
| Destructor.
Public Member Functions inherited from Test::Float::Assignment
| Assignment (int n0, const Gecode::FloatVal &d0)
| Initialize assignments for n0 variables and values d0.
int | size (void) const
| Return number of variables.
virtual | ~Assignment (void)
| Destructor.

## Protected Attributes

const Test * | curPb
| Current problem used to complete assignment.
Gecode::FloatVal * | dsv
| Iterator for each variable.
Gecode::FloatNum | step
| Step for next assignment.
Protected Attributes inherited from Test::Float::Assignment
int | n
| Number of variables.
Gecode::FloatVal | d
| Domain for each variable.

## Detailed Description

Generate all assignments except the last variable and complete it to get a solution.

Definition at line 122 of file float.hh.

## Constructor & Destructor Documentation

## ExtAssignment()

Test::Float::ExtAssignment::ExtAssignment | ( | int | n,
|  | const Gecode::FloatVal & | d,
|  | Gecode::FloatNum | s,
|  | const Test * | pb )

inline

Initialize assignments for n variables and values d with step s.

Definition at line 83 of file float.hpp.

## ~ExtAssignment()

Test::Float::ExtAssignment::~ExtAssignment | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 107 of file float.hpp.

## Member Function Documentation

## operator()()

bool Test::Float::ExtAssignment::operator() | ( | void |  | ) | const

inline virtual

Test whether all assignments have been iterated.

Implements Test::Float::Assignment.

Definition at line 93 of file float.hpp.

## operator++()

void Test::Float::ExtAssignment::operator++ | ( | void |  | ) |

virtual

Move to next assignment.

Implements Test::Float::Assignment.

Definition at line 67 of file float.cpp.

## operator[]()

Gecode::FloatVal Test::Float::ExtAssignment::operator[] | ( | int | i | ) | const

inline virtual

Return value for variable i.

Implements Test::Float::Assignment.

Definition at line 97 of file float.hpp.

## set()

void Test::Float::ExtAssignment::set | ( | int | i,
|  | const Gecode::FloatVal & | val )

inline virtual

Set assignment to value val for variable i.

Implements Test::Float::Assignment.

Definition at line 102 of file float.hpp.

## Member Data Documentation

## curPb

const Test* Test::Float::ExtAssignment::curPb

protected

Current problem used to complete assignment.

Definition at line 124 of file float.hh.

## dsv

Gecode::FloatVal* Test::Float::ExtAssignment::dsv

protected

Iterator for each variable.

Definition at line 125 of file float.hh.

## step

Gecode::FloatNum Test::Float::ExtAssignment::step

protected

Step for next assignment.

Definition at line 126 of file float.hh.

The documentation for this class was generated from the following files:

- test/float.hh
- test/float.cpp
- test/float.hpp